stages:
  - build

variables:
  DOCKER_REPO: ovalmoney/gitlab-registry-cleaner

build_docker_image:
  image: docker:stable
  stage: build
  tags: 
    - docker
  services:
    - docker:dind
  only:
    - tags
    - /^master$/
  before_script:
  - DOCKER_TAG=$([[ -n "$CI_COMMIT_TAG" ]] && echo "${CI_COMMIT_TAG}" || echo "latest" )
  script:
    - docker login -u ${DOCKER_HUB_USER} -p ${DOCKER_HUB_PASSWORD}
    - >
      docker build
      --build-arg DOCKER_REPO=${DOCKER_REPO}
      --build-arg VERSION=${DOCKER_TAG}
      --build-arg VCS_REF=${CI_COMMIT_SHORT_SHA}
      --build-arg BUILD_DATE=`date -u +”%Y-%m-%dT%H:%M:%SZ”`
      -t ${DOCKER_REPO}:${DOCKER_TAG}
      .
    - docker push ${DOCKER_REPO}:${DOCKER_TAG}
